PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zpotrs_Tile | ( | PLASMA_enum | uplo,
|  | PLASMA_desc * | A,
|  | PLASMA_desc * | B
| ) |  |

PLASMA_zpotrs_Tile - Solves a system of linear equations using previously computed Cholesky factorization. Tile equivalent of PLASMA_zpotrs(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | uplo | = PlasmaUpper: Upper triangle of A is stored; = PlasmaLower: Lower triangle of A is stored.
  [in] | A | The triangular factor U or L from the Cholesky factorization A = U**H*U or A = L*L**H, computed by PLASMA_zpotrf.
  [in,out] | B | On entry, the N-by-NRHS right hand side matrix B. On exit, if return value = 0, the N-by-NRHS solution matrix X.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_zpotrs
  PLASMA_zpotrs_Tile_Async
  PLASMA_cpotrs_Tile
  PLASMA_dpotrs_Tile
  PLASMA_spotrs_Tile
  PLASMA_zpotrf_Tile